## toposort 1.0.0

=== DESCRIPTION ===
Package: toposort
Title: Topological Sorting Algorithms
Version: 1.0.0
Authors@R: 
    person("Taras", "Zakharko", , "taras.zakharko@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-7601-8424"))
Description: Flexible and ergonomic topological sorting implementation for
    R. Supports a variety of input data encoding (lists of edges or
    adjacency matrices, graphs edge direction), stable sort variants as
    well as cycle detection with detailed diagnosis.
License: MIT + file LICENSE
URL: https://github.com/tzakharko/toposort
BugReports: https://github.com/tzakharko/toposort/issues
Imports: glue, rlang, vctrs
Suggests: cli, testthat (>= 3.0.0), tibble
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2023-03-07 10:21:02 UTC; tzakharko
Author: Taras Zakharko [aut, cre] (<https://orcid.org/0000-0001-7601-8424>)
Maintainer: Taras Zakharko <taras.zakharko@gmail.com>
Repository: CRAN
Date/Publication: 2023-03-08 15:00:03 UTC

## toposort 1.1

=== debian/changelog ===
toposort (1.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * debian/control:
    - Fix typo in X-Python-Version and X-Python3-Version fields which
      prevented package to build.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 31 Jul 2014 19:27:15 +0200

toposort (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #755906).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 Jul 2014 14:54:36 +0200

=== debian/control ===
Source: toposort
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Homepage: https://bitbucket.org/ericvsmith/toposort
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/toposort/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/toposort/trunk/
XS-Testsuite: autopkgtest

Package: python-toposort
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: topological sort algorithm - Python 2 module
 In computer science, a topological sort (sometimes abbreviated
 topsort or toposort) or topological ordering of a directed graph is a
 linear ordering of its vertices such that for every directed edge uv
 from vertex u to vertex v, u comes before v in the ordering.
 .
 This package provides this algorithm for Python.

Package: python3-toposort
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: topological sort algorithm - Python 3 module
 In computer science, a topological sort (sometimes abbreviated
 topsort or toposort) or topological ordering of a directed graph is a
 linear ordering of its vertices such that for every directed edge uv
 from vertex u to vertex v, u comes before v in the ordering.
 .
 This package provides this algorithm for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toposort
PYVERS :=  $(shell pyversions -vr)
PY3VERS := $(shell py3versions -vr)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		python$$py setup.py test ; \
	done

## toposort 1.4

=== debian/changelog ===
toposort (1.4-1) unstable; urgency=medium

  * New upstream release.
    - Test package is no longer shipped in the binary (Closes: #787230).
  * debian/control:
    - Fix typo in X-Python-Version and X-Python3-Version fields.
    - Remove XS-Testsuite field, not needed anymore with recent dpkg.
    - Bump Standards-Version to 3.9.6, no changes required.
  * debian/rules:
    - Simplify test suite invocation.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 31 May 2015 10:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
                python3-all,
                python3-setuptools
 Homepage: https://bitbucket.org/ericvsmith/toposort
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/toposort/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/toposort/trunk/
-XS-Testsuite: autopkgtest
 
 Package: python-toposort
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toposort

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom \
		--test-args='{interpreter} setup.py test'

=== debian/tests/control ===
Tests: python2-smoketest
Depends: python-toposort

Tests: python3-smoketest
Depends: python3-toposort

=== debian/watch ===
version=3
https://bitbucket.org/ericvsmith/toposort/downloads .*/(\d\S*)\.tar\.gz

## toposort 1.5

=== debian/changelog ===
toposort (1.5-1) unstable; urgency=medium

  [ Luca Falavigna ]
  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
  * debian/watch:
    - Refresh Bitbucket URI.

  [ Ondřej Nový ]
  * debian/control:
    - Fixed VCS URL.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Oct 2016 17:18:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                python3-all,
                python3-setuptools
 Homepage: https://bitbucket.org/ericvsmith/toposort
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/toposort/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/toposort/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/toposort.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/toposort.git
 
 Package: python-toposort
 Architecture: all

=== debian/watch ===
version=3
https://bitbucket.org/ericvsmith/toposort/downloads?tab=tags .*/(\d\S*)\.tar\.gz

## toposort 1.6

=== debian/changelog ===
toposort (1.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Falavigna ]
  * New upstream release 1.6.
  * Compliant with Debian Policy 4.5.1.
  * Upstream moved to GitLab.
  * Add upstream metadata.
  * debian/control:
    - Bump compat level to 13.
    - Package does not require root privs to build.
    - Move to Debian Python Team as Uploader.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 01 Jan 2021 15:09:26 +0100

toposort (1.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/control:
    - Remove ancient X-Python-Version field.
  * debian/control:
    - Remove ancient X-Python3-Version field.
  * Convert git repository from git-dpm to gbp layout.

  [ Luca Falavigna ]
  * debian/compat:
    - Bump compat level to 12.
  * debian/control:
    - Drop python2 package.
    - Build-depend on debhelper (>= 12).
    - Compliant with Debian Policy 4.4.0.
  * debian/rules:
    - No longer build for python2.
  * debian/tests/python2-smoketest:
    - Do not test python2 package anymore.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 09 Jul 2019 12:40:45 +0200

toposort (1.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/control:
    - Set Vcs-* to salsa.debian.org.
  * debian/copyright:
    - Use https protocol in Format field.
  * debian/tests:
    - Use AUTOPKGTEST_TMP instead of ADTTMP.

  [ Luca Falavigna ]
  * debian/compat:
    - Bump compat level to 11.
  * debian/control:
    - Build-depend on debhelper (>= 11)
    - Compliant with Debian Policy 4.1.4.
  * debian/copyright:
    - Adjust copyright years.
  * debian/python{,3}-toposort.docs:
    - Install NOTICE file.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 30 Apr 2018 21:21:10 +0200

=== debian/control ===
Source: toposort
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Homepage: https://gitlab.com/ericvsmith/toposort
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/toposort.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/toposort

Package: python3-toposort
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: topological sort algorithm - Python 3 module
 In computer science, a topological sort (sometimes abbreviated
 topsort or toposort) or topological ordering of a directed graph is a
 linear ordering of its vertices such that for every directed edge uv
 from vertex u to vertex v, u comes before v in the ordering.
 .
 This package provides this algorithm for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toposort

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom \
		--test-args='{interpreter} setup.py test'

=== debian/watch ===
version=4
https://gitlab.com/ericvsmith/toposort/tags?sort=updated_desc archive/@ANY_VERSION@/toposort-\d\S*@ARCHIVE_EXT@

## toposort 1.7

=== Makefile ===
all: wheel sdist

wheel:
	python3 -m build --wheel

sdist:
	python3 -m build --sdist

clean:
	rm -rf build/ dist/ src/*.egg-info src/__pycache__ test/__pycache__

test:	unittest doctest

unittest:
	PYTHONPATH=src:test python3 -m test.test_toposort

doctest:
	PYTHONPATH=src python3 -m doctest README.txt

upload:
	twine upload dist/*

=== debian/changelog ===
toposort (1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-depend on dh-sequence-python3.
    - Build-depend on pybuild-plugin-pyproject.
    - Compliant with Debian Policy 4.6.1.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Move debhelper sequences to debian/control.
    - Update test suite invocation.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 28 Sep 2022 18:42:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                dh-python,
                python3-all,
-               python3-setuptools
+               python3-setuptools,
+               pybuild-plugin-pyproject
 Homepage: https://gitlab.com/ericvsmith/toposort
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/toposort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/toposort

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toposort

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="make unittest" dh_auto_test

## toposort 1.9

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	PYTHONPATH=src:test python3 -m test.test_toposort
 
 doctest:
-	PYTHONPATH=src python3 -m doctest README.txt
+	PYTHONPATH=src python3 -m doctest README.md
 
 upload:
 	twine upload dist/*

=== debian/changelog ===
toposort (1.9-1) unstable; urgency=medium

  * New upstream reelase.
  * debian/control:
    - Compliant with Debian Policy 4.6.2.
  * debian/rules:
    - Run unittest for all supported python versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 15 Jan 2023 10:19:13 +0000

=== debian/tests/control ===
Tests: python3-smoketest
Depends: python3-toposort

## toposort 1.10

=== Makefile ===
--- 
+++ 
@@ -19,3 +19,8 @@
 
 upload:
 	twine upload dist/*
+
+# I don't think my account is registered on the test server, but this
+# is how it should work when that is fixed.
+upload-test:
+	twine upload --repository=testpypi --verbose dist/*

=== debian/changelog ===
toposort (1.10-2) unstable; urgency=medium

  * debian/control:
    - Compliant with Debian Policy 4.7.0.
  * debian/copyright:
    - Update copyright years.
  * debian/watch:
    - Correct lookup of upstream versions from Gitlab.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 11 Sep 2024 21:15:31 +0200

toposort (1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 29 Jul 2023 23:16:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                pybuild-plugin-pyproject
 Homepage: https://gitlab.com/ericvsmith/toposort
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/toposort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/toposort

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/ericvsmith/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
